<!DOCTYPE html>
<html>

<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container">
    <h4>jQUERY BASIC METHODS</h4>
    <!-- Div voucher 01 -->
    <div id="voucher-form-01" class="jumbotron p-4">
      <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy được value của ô text mã giảm giá và gán giá trị vào thẻ div ma-giam-gia-01
        và đổi màu thẻ div thành class text-success
      </div>
      <div class="row form-group align-middle">
        <div class="col-sm-6 form-inline">
          <label class="mr-2">Mã giảm giá</label>
          <input id="voucher-01" placeholder="Nhập mã giảm giá.." class="form-control">
        </div>
        <div class="col-sm-6 form-inline">
          <div id="ma-giam-gia-01">ma-giam-gia-01</div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-success">Kiểm tra 01</button>
      </div>
    </div>

    <!-- Div voucher 02 -->
    <div id="voucher-form-02" class="jumbotron p-4">
      <div class="row form-group">
        2) Khi ấn nút Kiểm tra 02, lấy giá trị của div ma-giam-gia-02
        và gán giá trị vào ô text mã giảm giá, đổi border cho ô text thành class border-danger
      </div>
      <div class="row form-group">
        <div class="col-sm-6">
          <div id="ma-giam-gia-02">24864</div>
        </div>
        <div class="col-sm-6 form-inline">
          <label class="mr-2">Mã giảm giá</label>
          <input id="voucher-02" placeholder="Mã giảm giá.." class="form-control">
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-success">Kiểm tra 02</button>
      </div>
    </div>

    <!-- Div 2 button -->
    <div id="content-form" class="jumbotron p-4">
      <div class="row form-group">
        3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
      </div>
      <div class="row form-group">
        <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
      </div>
      <div class="form-group">
        <button class="btn btn-danger">Màu đỏ</button>
        <button class="btn btn-warning">Màu vàng</button>
      </div>
    </div>
  </div>

</body>

</html>
<script>
  $(document).ready(function () {
    //Khi ấn nút kiểm tra 01
    $("#voucher-form-01 button").click(function () {
      var voucherValue = $("#voucher-01").val();
      $("#ma-giam-gia-01").text(voucherValue).addClass("text-success");
    });
    // Khi ấn nút Kiểm tra 02
    $("#voucher-form-02 button").click(function () {
      var voucherValue = $("#ma-giam-gia-02").text();
      $("#voucher-02").val(voucherValue).addClass("border border-danger");
    });

    // Khi ấn nút Màu đỏ
    $("#content-form button.btn-danger").click(function () {
      $("#content-div").css("color", "red");
    });

    // Khi ấn nút Màu vàng
    $("#content-form button.btn-warning").click(function () {
      $("#content-div").css("color", "yellow");
    });
  });
</script>